<?php

/**
* Created by : Julien Dubois.
* Version : 2;
* Update date : 13.05.2022
*/

class StageDBManager{


    /**
     * constructeur permettant de prendre l'instance de la connection a la base de donnée
     */
    public function __construct()
    {
        $this->connexion = Connexion::getInstance();
    }

    /**
     * Fonction permettant de recevoir les informations de tout les stages dans un format XML
     */
    function getStages(){
        $query = "select PK_Stage, nom, description, imagePath from T_Stage";
        $params = array('');
        $allStages = $this->connexion->selectQuery($query, $params);
        $allStagesXML = "<stages>";
        foreach ($allStages as $stage) {
            $var = "<stage><pk>".$stage['PK_Stage']."</pk><nom>".$stage['nom']."</nom><desc>".$stage['description']."</desc><imgPath>".$stage['imagePath']."</imgPath></stage>";
            $allStagesXML = $allStagesXML . $var;
            $var="";
        }
        $allStagesXML = $allStagesXML . "</stages>";
        return $allStagesXML;
    }

    /**
     * Fonction permettant de recevoir toute les informations de tout d'un stage dans un format XML
     */
    function getSingleStage($pkStage, $user){
        $query = "select * from T_Stage where PK_Stage=:pk";
        $params = array('pk'=>$pkStage);
        $stage = $this->connexion->selectSingleQuery($query, $params);
        $stageXML = "<stage><pk>".$stage['PK_Stage']."</pk><nom>".$stage['nom']."</nom><desc>".$stage['description']."</desc><imgPath>".$stage['imagePath']."</imgPath><isBoss>".$stage['isBoss']."</isBoss><equipLvl>".$stage['niveauEquipement']."</equipLvl><cursedChest>".$stage['pourcentagesCoffreMaudit']."</cursedChest><paper>".$stage['parchemins']."</paper>";
        
        $stageXML = $stageXML . "</stage>";
        return $stageXML;
    }

    /**
     * foncion permettant de retourner le nombre de cellule de Boss d'un utilisateur^
     * 
     * @param user le pseudo de l'utilisateur
     */
    function getUsersCells($user){ 
        $query = "select bossCell from T_User where pseudo=:user";
        $params = array('user'=>$user); 
        $query = $this->connexion->selectSingleQuery($query, $params);
        return $query[0];
    }
}
?>